#!/bin/bash

basedir=$(cd `dirname $0`; pwd)
ip=`which ip`
ethtool=`which ethtool`

$ip a | grep "state UP" | grep -Ei "eth|net|nic" | awk -F[:\ ]+ '{print $2}' | while read nic; do 
	$ethtool -A $nic autoneg off rx off tx off
	sleep 1
	$ethtool -G $nic rx 4096 tx 4096
	sleep 1
done
